summaryrefslogtreecommitdiff
path: root/support
diff options
context:
space:
mode:
authorOri Bernstein <ori@eigenstate.org>2017-03-03 20:52:00 -0800
committerOri Bernstein <ori@eigenstate.org>2017-03-03 20:52:00 -0800
commit6d09377e5186878ab25d9fcae4bac0b90bcc4b58 (patch)
tree39c77e822d17b3bf02a2dc183bcdaa1f10cbbe5f /support
parente1af5fb55cc3f4cdf36112df3bd3840447b930d9 (diff)
downloadmc-6d09377e5186878ab25d9fcae4bac0b90bcc4b58.tar.gz
Add a release generation rule to the makefile.
Diffstat (limited to 'support')
-rwxr-xr-xsupport/release.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/support/release.sh b/support/release.sh
new file mode 100755
index 0000000..b2740d5
--- /dev/null
+++ b/support/release.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+set -e
+set -x
+
+tmp=/tmp/myr-release
+rm -rf $tmp
+mkdir -p $tmp
+cp -r ../mc $tmp/
+(
+ cd $tmp/mc
+ git clean -xfd
+ rm -rf .git
+)
+
+(
+ cd $tmp
+ tar cvf myrddin-$1.tar mc
+ bzip2 myrddin-$1.tar
+ tar cvf myrddin-$1.tar mc
+ gzip myrddin-$1.tar
+ tar cvf myrddin-$1.tar mc
+ xz myrddin-$1.tar
+)
+
+cp $tmp/myrddin-$1.tar.* .
+